Anonymous Login
2018-12-15 13:34 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001873OpenClonkObjectspublic2017-01-12 23:09
ReporterMarky 
Assigned ToMarky 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001873: Weapons, such as the bow, can be used during dialogues
DescriptionWeapons can be used by left-clicking with the mouse during dialogues.

See also http://ccf.striver.net/bugtrack.php?shbug=13345
Additional InformationStart ChristmasDefense2015.ocs or a similar scenario where a bow is equipped during a dialogue/intro sequence. You can shoot with the bow.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005594

Marky (developer)

Cannot be reproduced in XmasDefense, because the crew has no dialogue opened; There, it is the intended behaviour that you can shoot.

~0005595

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/38648dedccc525c960141bf572ac44722188dafd

Changeset 38648de by Mark <markh4b@hotmail.com>
UseControl: 0001873 Prevent use while a menu is opened.

Using objects was blocked by the GUI menus and the ObjectControl() function anyway, but (!) it was not blocked for the old style menus that can still be used.

~0005596

Marky (developer)

Old menus did not prevent objects from being used.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-25 18:39 Marky New Issue
2017-01-12 23:01 Marky Note Added: 0005594
2017-01-12 23:07 occ Note Added: 0005595
2017-01-12 23:08 Marky Assigned To => Marky
2017-01-12 23:08 Marky Status new => assigned
2017-01-12 23:09 Marky Status assigned => resolved
2017-01-12 23:09 Marky Resolution open => fixed
2017-01-12 23:09 Marky Fixed in Version => git master
2017-01-12 23:09 Marky Note Added: 0005596
+Issue History